MWAWFont Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | Protected Attributes | List of all members
MWAWFont Class Reference

Class to store font. More...

`#include <MWAWFont.hxx>`

## Classes
struct | Line
| a small struct to define a line in MWAWFont More...
struct | Script
| a small struct to define the script position in MWAWFont More...

## Public Types
enum | FontBits { boldBit =1, italicBit =2, blinkBit =4, embossBit =8, engraveBit =0x10, hiddenBit =0x20, outlineBit =0x40, shadowBit =0x80, reverseVideoBit =0x100, smallCapsBit =0x200, allCapsBit =0x400, lowercaseBit =0x800, boxedBit =0x1000, boxedRoundedBit =0x2000, reverseWritingBit =0x4000 }
| the different font bit More...

## Public Member Functions
| MWAWFont (int newId=-1, float sz=12, uint32_t f=0)
| constructor More...
bool | isSet () const
| returns true if the font id is initialized More...
void | insert (MWAWFont const &ft)
| inserts the set value in the current font More...
void | setFont (int newId)
| sets the font id and resets size to the previous size for this font More...
int | id () const
| returns the font id More...
void | setId (int newId)
| sets the font id More...
float | size () const
| returns the font size More...
void | setSize (float sz)
| sets the font size More...
float | deltaLetterSpacing () const
| returns the condensed(negative)/extended(positive) width More...
void | setDeltaLetterSpacing (float d)
| sets the letter spacing ( delta value in point ) More...
float | texteWidthScaling () const
| returns the text width scaling More...
void | setTexteWidthScaling (float scale=1.0)
| sets the text width scaling More...
Script const & | script () const
| returns the script position More...
void | set (Script const &newscript)
| sets the script position More...
uint32_t | flags () const
| returns the font flags More...
void | setFlags (uint32_t fl)
| sets the font attributes bold, ... More...
bool | hasColor () const
| returns true if the font color is not black More...
void | getColor (MWAWColor &c) const
| returns the font color More...
void | setColor (MWAWColor color)
| sets the font color More...
void | getBackgroundColor (MWAWColor &c) const
| returns the font background color More...
void | setBackgroundColor (MWAWColor color)
| sets the font background color More...
void | resetColor ()
| resets the font color to black and the background color to white More...
bool | hasDecorationLines () const
| return true if the font has decorations line (overline, strikeout, underline) More...
void | resetDecorationLines ()
| reset the decoration More...
Line const & | getOverline () const
| returns the overline More...
void | setOverline (Line const &line)
| sets the overline More...
void | setOverlineStyle (Line::Style style=Line::None, bool doReset=true)
| sets the overline style ( by default, we also reset the style) More...
void | setOverlineType (Line::Type type=Line::Single)
| sets the overline type More...
void | setOverlineWordFlag (bool wordFlag=false)
| sets the overline word flag More...
void | setOverlineWidth (float w)
| sets the overline width More...
void | setOverlineColor (MWAWColor const &color)
| sets the overline color More...
Line const & | getStrikeOut () const
| returns the strikeoutline More...
void | setStrikeOut (Line const &line)
| sets the strikeoutline More...
void | setStrikeOutStyle (Line::Style style=Line::None, bool doReset=true)
| sets the strikeoutline style ( by default, we also reset the style) More...
void | setStrikeOutType (Line::Type type=Line::Single)
| sets the strikeoutline type More...
void | setStrikeOutWordFlag (bool wordFlag=false)
| sets the strikeoutline word flag More...
void | setStrikeOutWidth (float w)
| sets the strikeoutline width More...
void | setStrikeOutColor (MWAWColor const &color)
| sets the strikeoutline color More...
Line const & | getUnderline () const
| returns the underline More...
void | setUnderline (Line const &line)
| sets the underline More...
void | setUnderlineStyle (Line::Style style=Line::None, bool doReset=true)
| sets the underline style ( by default, we also reset the style) More...
void | setUnderlineType (Line::Type type=Line::Single)
| sets the underline type More...
void | setUnderlineWordFlag (bool wordFlag=false)
| sets the underline word flag More...
void | setUnderlineWidth (float w)
| sets the underline width More...
void | setUnderlineColor (MWAWColor const &color)
| sets the underline color More...
std::string const & | language () const
| returns the language More...
void | setLanguage (std::string const &lang)
| set the language ( in the for en_US, en_GB, en, ...) More...
void | addTo (librevenge::RVNGPropertyList &propList, shared_ptr< MWAWFontConverter > fontConverter) const
| add to the propList More...
std::string | getDebugString (shared_ptr< MWAWFontConverter > &converter) const
| returns a string which can be used for debugging More...
bool | operator== (MWAWFont const &f) const
| operator== More...
bool | operator!= (MWAWFont const &f) const
| operator!= More...
int | cmp (MWAWFont const &oth) const
| a comparison function More...

## Public Attributes
std::string | m_extra
| extra data More...

## Protected Attributes
Variable< int > | m_id
| font identificator More...
Variable< float > | m_size
| font size More...
Variable< float > | m_deltaSpacing
| expand(> 0), condensed(< 0) depl in point More...
Variable< float > | m_texteWidthScaling
| the texte width scaling More...
Variable< Script > | m_scriptPosition
| the sub/super script definition More...
Variable< uint32_t > | m_flags
| font attributes More...
Variable< Line > | m_overline
| overline attributes More...
Variable< Line > | m_strikeoutline
| overline attributes More...
Variable< Line > | m_underline
| underline attributes More...
Variable< MWAWColor > | m_color
| font color More...
Variable< MWAWColor > | m_backgroundColor
| font background color More...
Variable< std::string > | m_language
| the language if set More...

## Detailed Description

Class to store font.

## Member Enumeration Documentation

enum MWAWFont::FontBits

the different font bit

Enumerator
boldBit |
italicBit |
blinkBit |
embossBit |
engraveBit |
hiddenBit |
outlineBit |
shadowBit |
reverseVideoBit |
smallCapsBit |
allCapsBit |
lowercaseBit |
boxedBit |
boxedRoundedBit |
reverseWritingBit |

## Constructor & Destructor Documentation

MWAWFont::MWAWFont | ( | int | newId = `-1`,
|  | float | sz = `12`,
|  | uint32_t | f = `0`
| ) |  |
| inline

constructor

Parameters

  newId | system id font
  sz | the font size
  f | the font attributes bold, ...

## Member Function Documentation

void MWAWFont::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | shared_ptr< MWAWFontConverter > | fontConverter
| ) |  | const

add to the propList

Referenced by MWAWCell::addTo().

int MWAWFont::cmp | ( | MWAWFont const & | oth | ) | const
| inline

a comparison function

Referenced by MsWrdStruct::Font::cmp(), operator!=(), and operator==().

float MWAWFont::deltaLetterSpacing | ( |  | ) | const
| inline

returns the condensed(negative)/extended(positive) width

uint32_t MWAWFont::flags | ( |  | ) | const
| inline

returns the font flags

Referenced by cmp(), insert(), LightWayTxtTextInternal::Font::merge(), MsWrdTextStyles::readFont(), MoreText::readOutline(), FullWrtText::send(), MoreText::sendText(), and MsWrdStruct::Font::updateFontToFinalState().

void MWAWFont::getBackgroundColor | ( | MWAWColor & | c | ) | const
| inline

returns the font background color

Referenced by LightWayTxtTextInternal::Font::merge().

void MWAWFont::getColor | ( | MWAWColor & | c | ) | const
| inline

returns the font color

Referenced by MarinerWrtGraph::sendRule(), and MoreText::sendText().

std::string MWAWFont::getDebugString | ( | shared_ptr< MWAWFontConverter > & | converter | ) | const

returns a string which can be used for debugging

Referenced by ZWrtTextInternal::HFZone::getDebugString(), MsWrdText::prepareData(), BeagleWksSSParser::readCellSheet(), RagTimeText::readCharProperties(), MacWrtProStructures::readCharStyles(), MoreText::readCustomListLevel(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), MacDocParser::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdKText::readFont(), MsWks4Text::readFont(), LightWayTxtText::readFont2(), LightWayTxtText::readFonts(), RagTimeText::readFonts(), MarinerWrtText::readFonts(), HanMacWrdJText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), MacWrtProStructures::readFontsDef(), MacDrawProStyleManager::readFontStyles(), DocMkrText::readFooter(), BeagleWksDBParser::readFormat(), MsWksDBParser::readForms(), MsWksDBParser::readFormTypes(), ActaParser::readHFProperties(), MacWrtParser::readInformations(), MacDrawParser::readObject(), MsWrdTextStyles::readPLC(), MsWrd1Parser::readPLC(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), RagTimeSpreadsheet::readResource(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), RagTimeSpreadsheet::readSpreadsheetCellFormat(), RagTimeSpreadsheet::readSpreadsheetCellV2(), WingzParser::readSpreadsheetStyle(), MsWksSSParser::readSSheetZone(), BeagleWksDRParser::readStyle(), MacWrtProStructures::readStyle(), TeachTxtParser::readStyles(), GreatWksSSParser::readStyles(), DocMkrText::readStyles(), MsWrdTextStyles::readStylesFont(), MsWksTable::readTable(), MacWrtParser::readText(), MsWksGraph::readText(), ActaText::readTopic(), MsWksDBParser::readUnknownV2(), GreatWksText::readZone(), WriteNowText::send(), GreatWksText::sendSimpleTextbox(), ActaText::sendText(), and MsWks3Text::sendText().

Line const& MWAWFont::getOverline | ( |  | ) | const
| inline

returns the overline

Referenced by LightWayTxtTextInternal::Font::merge().

Line const& MWAWFont::getStrikeOut | ( |  | ) | const
| inline

returns the strikeoutline

Referenced by LightWayTxtTextInternal::Font::merge(), MsWrdTextStyles::readFont(), and MsWrdStruct::Font::updateFontToFinalState().

Line const& MWAWFont::getUnderline | ( |  | ) | const
| inline

returns the underline

Referenced by LightWayTxtTextInternal::Font::merge(), MsWrdTextStyles::readFont(), MarinerWrtText::readFonts(), MoreText::sendText(), and MsWrdStruct::Font::updateFontToFinalState().

bool MWAWFont::hasColor | ( |  | ) | const
| inline

returns true if the font color is not black

Referenced by getDebugString().

bool MWAWFont::hasDecorationLines | ( |  | ) | const
| inline

return true if the font has decorations line (overline, strikeout, underline)

int MWAWFont::id | ( |  | ) | const
| inline

returns the font id

Referenced by cmp(), getDebugString(), MsWrdTextStyles::getFont(), BeagleWksText::getFont(), MsWks4Text::readText(), MoreText::sendText(), MWAWTextListener::setFont(), MWAWPresentationListener::setFont(), MWAWGraphicListener::setFont(), MWAWSpreadsheetListener::setFont(), and MsWrdTextStyles::setProperty().

void MWAWFont::insert | ( | MWAWFont const & | ft | ) |
| inline

inserts the set value in the current font

Referenced by MsWrdStruct::Font::insert().

bool MWAWFont::isSet | ( |  | ) | const
| inline

returns true if the font id is initialized

Referenced by MWAWFont::Script::str().

std::string const& MWAWFont::language | ( |  | ) | const
| inline

returns the language

bool MWAWFont::operator!= | ( | MWAWFont const & | f | ) | const
| inline

operator!=

bool MWAWFont::operator== | ( | MWAWFont const & | f | ) | const
| inline

operator==

void MWAWFont::resetColor | ( |  | ) |
| inline

resets the font color to black and the background color to white

Referenced by MWAWFont(), and setFont().

void MWAWFont::resetDecorationLines | ( |  | ) |
| inline

reset the decoration

Script const& MWAWFont::script | ( |  | ) | const
| inline

returns the script position

Referenced by cmp(), and LightWayTxtTextInternal::Font::merge().

void MWAWFont::set | ( | Script const & | newscript | ) |
| inline

sets the script position

Referenced by BeagleWksTextInternal::Font::getFont(), LightWayTxtTextInternal::Font::merge(), RagTimeText::readCharProperties(), MsWrdTextStyles::readFont(), MsWrd1Parser::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), GreatWksText::readFont(), HanMacWrdKText::readFont(), MsWks3Text::readFont(), WriteNowText::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFont2(), RagTimeText::readFonts(), MarinerWrtText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), MacWrtParser::readInformations(), RagTimeSpreadsheet::readResource(), RagTimeSpreadsheet::readSpreadsheetCellV2(), GreatWksSSParser::readStyles(), MsWksTable::readTable(), MacWrtParser::readText(), WriteNowText::send(), GreatWksText::sendSimpleTextbox(), MoreText::sendText(), and FullWrtTextInternal::Font::update().

void MWAWFont::setBackgroundColor | ( | MWAWColor | color | ) |
| inline

sets the font background color

Referenced by LightWayTxtTextInternal::Font::merge(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), LightWayTxtText::readFont2(), and MarinerWrtText::readFonts().

void MWAWFont::setColor | ( | MWAWColor | color | ) |
| inline

sets the font color

Referenced by BeagleWksTextInternal::Font::getFont(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), MoreText::readCustomListLevel(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), MsWrdTextStyles::readFont(), MacDocParser::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), GreatWksText::readFont(), HanMacWrdKText::readFont(), MsWks3Text::readFont(), WriteNowText::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFonts(), RagTimeText::readFonts(), MarinerWrtText::readFonts(), NisusWrtText::readFonts(), MacDrawProStyleManager::readFontStyles(), MsWksDBParser::readForms(), MsWksDBParser::readFormTypes(), ZWrtText::readHFZone(), MoreText::readOutline(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), TeachTxtParser::readStyles(), GreatWksSSParser::readStyles(), DocMkrText::readStyles(), MsWksTable::readTable(), FullWrtText::send(), GreatWksText::sendSimpleTextbox(), MoreText::sendText(), and FullWrtTextInternal::Font::update().

void MWAWFont::setDeltaLetterSpacing | ( | float | d | ) |
| inline

sets the letter spacing ( delta value in point )

Referenced by RagTimeText::readCharProperties(), LightWayTxtText::readDocumentHF(), MsWrdTextStyles::readFont(), MacDocParser::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), GreatWksText::readFont(), HanMacWrdKText::readFont(), WriteNowText::readFont(), MsWks4Text::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFonts(), RagTimeText::readFonts(), MarinerWrtText::readFonts(), NisusWrtText::readFonts(), MacDrawParser::readObject(), ClarisWksDbaseContent::readRecordSSV1(), RagTimeSpreadsheet::readResource(), RagTimeSpreadsheet::readSpreadsheetCellV2(), TeachTxtParser::readStyles(), GreatWksSSParser::readStyles(), FullWrtText::send(), and GreatWksText::sendSimpleTextbox().

void MWAWFont::setFlags | ( | uint32_t | fl | ) |
| inline

sets the font attributes bold, ...

Referenced by BeagleWksTextInternal::Font::getFont(), insert(), LightWayTxtTextInternal::Font::merge(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), RagTimeText::readCharProperties(), MoreText::readCustomListLevel(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), MacDocParser::readFont(), MsWrdTextStyles::readFont(), MsWrd1Parser::readFont(), ActaText::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), GreatWksText::readFont(), HanMacWrdKText::readFont(), MsWks3Text::readFont(), WriteNowText::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFont2(), LightWayTxtText::readFonts(), RagTimeText::readFonts(), MarinerWrtText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), BeagleWksDBParser::readFormat(), MsWksDBParser::readFormTypes(), ActaParser::readHFProperties(), ZWrtText::readHFZone(), MacWrtParser::readInformations(), MacDrawParser::readObject(), MoreText::readOutline(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), RagTimeSpreadsheet::readSpreadsheetCellV2(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), TeachTxtParser::readStyles(), GreatWksSSParser::readStyles(), DocMkrText::readStyles(), MsWksTable::readTable(), MacWrtParser::readText(), FullWrtText::send(), EDocParser::sendIndex(), GreatWksText::sendSimpleTextbox(), MoreText::sendText(), DocMkrText::sendTOC(), and MsWrdStruct::Font::updateFontToFinalState().

void MWAWFont::setFont | ( | int | newId | ) |
| inline

sets the font id and resets size to the previous size for this font

Referenced by MsWksGraph::readFont(), BeagleWksDRParser::sendText(), SuperPaintParser::sendText(), and MacDrawProParser::sendText().

void MWAWFont::setId | ( | int | newId | ) |
| inline

sets the font id

Referenced by MsWrdTextStyles::getFont(), BeagleWksText::getFont(), MarinerWrtTextInternal::Zone::getFont(), BeagleWksSSParser::readCellSheet(), RagTimeText::readCharProperties(), MoreText::readCustomListLevel(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), MacDocParser::readFont(), MsWrdTextStyles::readFont(), MsWrd1Parser::readFont(), ActaText::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), GreatWksText::readFont(), HanMacWrdKText::readFont(), MsWks3Text::readFont(), WriteNowText::readFont(), MsWks4Text::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFonts(), RagTimeText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), DocMkrText::readFooter(), BeagleWksDBParser::readFormat(), MsWksDBParser::readForms(), MsWksDBParser::readFormTypes(), ActaParser::readHFProperties(), ZWrtText::readHFZone(), MacWrtParser::readInformations(), FullWrtText::readLineHeader(), MacDrawParser::readObject(), MoreText::readOutline(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), MarinerWrtText::readRulers(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), RagTimeSpreadsheet::readSpreadsheetCellV2(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), TeachTxtParser::readStyles(), GreatWksSSParser::readStyles(), DocMkrText::readStyles(), MsWks4Text::readText(), MacWrtParser::readText(), MsWksDBParser::readUnknownV2(), FullWrtText::send(), FullWrtText::sendHiddenItem(), GreatWksText::sendSimpleTextbox(), MoreText::sendText(), MWAWTextListener::setFont(), MWAWPresentationListener::setFont(), MWAWGraphicListener::setFont(), MWAWSpreadsheetListener::setFont(), and MsWrdTextStyles::setProperty().

void MWAWFont::setLanguage | ( | std::string const & | lang | ) |
| inline

set the language ( in the for en_US, en_GB, en, ...)

Referenced by MacWrtProStructures::readFont(), and RagTimeText::readFonts().

void MWAWFont::setOverline | ( | Line const & | line | ) |
| inline

sets the overline

Referenced by LightWayTxtTextInternal::Font::merge(), and MarinerWrtText::readFonts().

void MWAWFont::setOverlineColor | ( | MWAWColor const & | color | ) |
| inline

sets the overline color

Referenced by LightWayTxtText::readFont2().

void MWAWFont::setOverlineStyle | ( | Line::Style | style = `Line::None`,
|  | bool | doReset = `true`
| ) |  |
| inline

sets the overline style ( by default, we also reset the style)

Referenced by HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), LightWayTxtText::readFont2(), NisusWrtText::readFonts(), and FullWrtText::send().

void MWAWFont::setOverlineType | ( | Line::Type | type = `Line::Single` | ) |
| inline

sets the overline type

Referenced by LightWayTxtText::readFont2().

void MWAWFont::setOverlineWidth | ( | float | w | ) |
| inline

sets the overline width

Referenced by HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), and LightWayTxtText::readFont2().

void MWAWFont::setOverlineWordFlag | ( | bool | wordFlag = `false` | ) |
| inline

sets the overline word flag

void MWAWFont::setSize | ( | float | sz | ) |
| inline

sets the font size

Referenced by MsWrdTextStyles::getFont(), BeagleWksSSParser::readCellSheet(), RagTimeText::readCharProperties(), MoreText::readCustomListLevel(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), MacDocParser::readFont(), MsWrdTextStyles::readFont(), MsWrd1Parser::readFont(), ActaText::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), GreatWksText::readFont(), HanMacWrdKText::readFont(), MsWks3Text::readFont(), WriteNowText::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFonts(), RagTimeText::readFonts(), MarinerWrtText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), DocMkrText::readFooter(), BeagleWksDBParser::readFormat(), MsWksDBParser::readForms(), MsWksDBParser::readFormTypes(), ActaParser::readHFProperties(), ZWrtText::readHFZone(), MacWrtParser::readInformations(), FullWrtText::readLineHeader(), MacDrawParser::readObject(), MoreText::readOutline(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), MarinerWrtText::readRulers(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), RagTimeSpreadsheet::readSpreadsheetCellV2(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), TeachTxtParser::readStyles(), GreatWksSSParser::readStyles(), DocMkrText::readStyles(), MacWrtParser::readText(), MsWksDBParser::readUnknownV2(), FullWrtText::send(), FullWrtText::sendHiddenItem(), GreatWksText::sendSimpleTextbox(), MoreText::sendText(), MWAWTextListener::setFont(), MWAWPresentationListener::setFont(), MWAWGraphicListener::setFont(), MWAWSpreadsheetListener::setFont(), and MsWrdTextStyles::setProperty().

void MWAWFont::setStrikeOut | ( | Line const & | line | ) |
| inline

sets the strikeoutline

Referenced by LightWayTxtTextInternal::Font::merge().

void MWAWFont::setStrikeOutColor | ( | MWAWColor const & | color | ) |
| inline

sets the strikeoutline color

Referenced by LightWayTxtText::readFont2().

void MWAWFont::setStrikeOutStyle | ( | Line::Style | style = `Line::None`,
|  | bool | doReset = `true`
| ) |  |
| inline

sets the strikeoutline style ( by default, we also reset the style)

Referenced by MsWrdTextStyles::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), GreatWksText::readFont(), HanMacWrdKText::readFont(), WriteNowText::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFont2(), MarinerWrtText::readFonts(), NisusWrtText::readFonts(), ClarisWksDbaseContent::readRecordSSV1(), GreatWksSSParser::readStyles(), FullWrtText::send(), GreatWksText::sendSimpleTextbox(), and MsWrdStruct::Font::updateFontToFinalState().

void MWAWFont::setStrikeOutType | ( | Line::Type | type = `Line::Single` | ) |
| inline

sets the strikeoutline type

Referenced by HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), and LightWayTxtText::readFont2().

void MWAWFont::setStrikeOutWidth | ( | float | w | ) |
| inline

sets the strikeoutline width

Referenced by LightWayTxtText::readFont2().

void MWAWFont::setStrikeOutWordFlag | ( | bool | wordFlag = `false` | ) |
| inline

sets the strikeoutline word flag

void MWAWFont::setTexteWidthScaling | ( | float | scale = `1.0` | ) |
| inline

sets the text width scaling

Referenced by HanMacWrdJText::readFont(), and HanMacWrdKText::readFont().

void MWAWFont::setUnderline | ( | Line const & | line | ) |
| inline

sets the underline

Referenced by LightWayTxtTextInternal::Font::merge(), and MarinerWrtText::readFonts().

void MWAWFont::setUnderlineColor | ( | MWAWColor const & | color | ) |
| inline

sets the underline color

Referenced by WriteNowText::readFont(), and LightWayTxtText::readFont2().

void MWAWFont::setUnderlineStyle | ( | Line::Style | style = `Line::None`,
|  | bool | doReset = `true`
| ) |  |
| inline

sets the underline style ( by default, we also reset the style)

Referenced by BeagleWksTextInternal::Font::getFont(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), RagTimeText::readCharProperties(), MoreText::readCustomListLevel(), LightWayTxtText::readDocumentHF(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), MacDocParser::readFont(), MsWrdTextStyles::readFont(), MsWrd1Parser::readFont(), ActaText::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), GreatWksText::readFont(), HanMacWrdKText::readFont(), MsWks3Text::readFont(), WriteNowText::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFont2(), LightWayTxtText::readFonts(), RagTimeText::readFonts(), MarinerWrtText::readFonts(), MindWrtParser::readFonts(), NisusWrtText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), BeagleWksDBParser::readFormat(), MsWksDBParser::readFormTypes(), ActaParser::readHFProperties(), ZWrtText::readHFZone(), MacWrtParser::readInformations(), MacDrawParser::readObject(), MoreText::readOutline(), ClarisWksDbaseContent::readRecordSSV1(), MsWksDBParser::readReportHeader(), ZWrtText::readSectionFonts(), SuperPaintParser::readShape(), RagTimeSpreadsheet::readSpreadsheetCellV2(), WingzParser::readSpreadsheetStyle(), BeagleWksDRParser::readStyle(), TeachTxtParser::readStyles(), GreatWksSSParser::readStyles(), DocMkrText::readStyles(), MsWksTable::readTable(), MacWrtParser::readText(), FullWrtText::send(), GreatWksText::sendSimpleTextbox(), MoreText::sendText(), and MsWrdStruct::Font::updateFontToFinalState().

void MWAWFont::setUnderlineType | ( | Line::Type | type = `Line::Single` | ) |
| inline

sets the underline type

Referenced by MsWrdTextStyles::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), GreatWksText::readFont(), HanMacWrdKText::readFont(), WriteNowText::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFont2(), MarinerWrtText::readFonts(), GreatWksSSParser::readStyles(), FullWrtText::send(), and GreatWksText::sendSimpleTextbox().

void MWAWFont::setUnderlineWidth | ( | float | w | ) |
| inline

sets the underline width

Referenced by HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), WriteNowText::readFont(), and LightWayTxtText::readFont2().

void MWAWFont::setUnderlineWordFlag | ( | bool | wordFlag = `false` | ) |
| inline

sets the underline word flag

Referenced by MsWrdTextStyles::readFont(), MarinerWrtText::readFonts(), NisusWrtText::readFonts(), and FullWrtText::send().

float MWAWFont::size | ( |  | ) | const
| inline

returns the font size

Referenced by addTo(), cmp(), getDebugString(), MsWrdTextStyles::getFont(), MsWrdStruct::operator<<(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFonts(), ZWrtText::readSectionFonts(), FullWrtText::send(), MarinerWrtGraph::sendRule(), MoreText::sendText(), MWAWTextListener::setFont(), MWAWPresentationListener::setFont(), MWAWGraphicListener::setFont(), MWAWSpreadsheetListener::setFont(), and MsWrdTextStyles::setProperty().

float MWAWFont::texteWidthScaling | ( |  | ) | const
| inline

returns the text width scaling

## Member Data Documentation

Variable<MWAWColor> MWAWFont::m_backgroundColor
| protected

font background color

Referenced by addTo(), cmp(), getBackgroundColor(), getDebugString(), resetColor(), and setBackgroundColor().

Variable<MWAWColor> MWAWFont::m_color
| protected

font color

Referenced by addTo(), cmp(), getColor(), getDebugString(), hasColor(), insert(), resetColor(), and setColor().

Variable<float> MWAWFont::m_deltaSpacing
| protected

expand(> 0), condensed(< 0) depl in point

Referenced by addTo(), cmp(), deltaLetterSpacing(), getDebugString(), insert(), and setDeltaLetterSpacing().

std::string MWAWFont::m_extra

extra data

Referenced by getDebugString(), insert(), LightWayTxtTextInternal::Font::merge(), MacDocParser::readFont(), ActaText::readFont(), HanMacWrdJText::readFont(), GreatWksText::readFont(), HanMacWrdKText::readFont(), WriteNowText::readFont(), MsWksGraph::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFont2(), LightWayTxtText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), RagTimeSpreadsheet::readResource(), TeachTxtParser::readStyles(), and DocMkrText::readStyles().

Variable<uint32_t> MWAWFont::m_flags
| protected

font attributes

Referenced by addTo(), flags(), getDebugString(), insert(), and setFlags().

Variable<int> MWAWFont::m_id
| protected

font identificator

Referenced by id(), insert(), isSet(), setFont(), and setId().

Variable<std::string> MWAWFont::m_language
| protected

the language if set

Referenced by addTo(), cmp(), getDebugString(), language(), and setLanguage().

Variable<Line> MWAWFont::m_overline
| protected

overline attributes

Referenced by addTo(), cmp(), getDebugString(), getOverline(), hasDecorationLines(), insert(), resetDecorationLines(), setOverline(), setOverlineColor(), setOverlineStyle(), setOverlineType(), setOverlineWidth(), and setOverlineWordFlag().

Variable<Script> MWAWFont::m_scriptPosition
| protected

the sub/super script definition

Referenced by addTo(), getDebugString(), insert(), script(), and set().

Variable<float> MWAWFont::m_size
| protected

font size

Referenced by insert(), setSize(), and size().

Variable<Line> MWAWFont::m_strikeoutline
| protected

overline attributes

Referenced by addTo(), cmp(), getDebugString(), getStrikeOut(), hasDecorationLines(), insert(), resetDecorationLines(), setStrikeOut(), setStrikeOutColor(), setStrikeOutStyle(), setStrikeOutType(), setStrikeOutWidth(), and setStrikeOutWordFlag().

Variable<float> MWAWFont::m_texteWidthScaling
| protected

the texte width scaling

Referenced by addTo(), cmp(), getDebugString(), insert(), setTexteWidthScaling(), and texteWidthScaling().

Variable<Line> MWAWFont::m_underline
| protected

underline attributes

Referenced by addTo(), cmp(), getDebugString(), getUnderline(), hasDecorationLines(), insert(), resetDecorationLines(), setUnderline(), setUnderlineColor(), setUnderlineStyle(), setUnderlineType(), setUnderlineWidth(), and setUnderlineWordFlag().

The documentation for this class was generated from the following files:

- MWAWFont.hxx
- MWAWFont.cxx